## ros-iron-rosidl-generator-py 0.18.0

=== debian/changelog ===
ros-iron-rosidl-generator-py (0.18.0-2jammy) jammy; urgency=high

  * Hides the assertions that checks the data types of the message fields. (#194 <https://github.com/ros2/rosidl_python/issues/194>)
  * Contributors: Eloy Briceno

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-rosidl-generator-py (0.17.0-2jammy) jammy; urgency=high

  * Service introspection (#178 <https://github.com/ros2/rosidl_python/issues/178>)
  * [rolling] Update maintainers - 2022-11-07 (#189 <https://github.com/ros2/rosidl_python/issues/189>)
  * Contributors: Audrow Nash, Brian

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-rosidl-generator-py (0.16.1-2jammy) jammy; urgency=high

  * Remove stray numpy import (#185 <https://github.com/ros2/rosidl_python/issues/185>)
  * Contributors: Ben Wolsieffer

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-rosidl-generator-py (0.16.0-2jammy) jammy; urgency=high

  * man_farmer
    
    Fix NaN values bound numpy windows version (#182)
  * Allow NaN values to pass floating point bounds check. (#167 <https://github.com/ros2/rosidl_python/issues/167>)
  * Replace rosidl_cmake imports with rosidl_pycommon (#177 <https://github.com/ros2/rosidl_python/issues/177>)
  * Change decode error mode to replace (#176 <https://github.com/ros2/rosidl_python/issues/176>)
  * Merge pull request #173 <https://github.com/ros2/rosidl_python/issues/173> from ros2/quarkytale/fix_import_order
  * fix flake
  * sorting after conversion
  * Revert "Use modern cmake targets to avoid absolute paths to appear in binary archives (#160 <https://github.com/ros2/rosidl_python/issues/160>)" (#166 <https://github.com/ros2/rosidl_python/issues/166>)
  * Use modern cmake targets to avoid absolute paths to appear in binary archives (#160 <https://github.com/ros2/rosidl_python/issues/160>)
  * michel as author
  * adding maintainer
  * Contributors: Cristóbal Arroyo, Dharini Dutia, Ivan Santiago Paunovic, Jacob Perron, Tomoya Fujita, quarkytale, Øystein Sture

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-rosidl-generator-py (0.15.0-2jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 03 May 2022 16:00:00 -0000

ros-iron-rosidl-generator-py (0.14.2-2jammy) jammy; urgency=high

  * Removes erroneous unmatched closing parenthesis (#125 <https://github.com/ros2/rosidl_python/issues/125>)
  * require Python 3.6 as we use format strings in various places (#152 <https://github.com/ros2/rosidl_python/issues/152>)
  * Contributors: Charles Cross, William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-rosidl-generator-py (0.14.1-2jammy) jammy; urgency=high

  * Fix rosidl_generator_py assuming incorect library names (#149 <https://github.com/ros2/rosidl_python/issues/149>)
  * Fix for msg file containing a property field that is not at the end (#151 <https://github.com/ros2/rosidl_python/issues/151>)
  * Update package maintainers (#147 <https://github.com/ros2/rosidl_python/issues/147>)
  * Contributors: Chen Lihui, Michel Hidalgo, Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-iron-rosidl-generator-py (0.14.0-2jammy) jammy; urgency=high

  * Use rosidl_get_typesupport_target() (#139 <https://github.com/ros2/rosidl_python/issues/139>)
  * Contributors: Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-iron-rosidl-generator-py (0.13.0-2jammy) jammy; urgency=high

  * Support available typesupport specification in CLI extension (#133 <https://github.com/ros2/rosidl_python/issues/133>)
  * Use python_d for test_cli_extension in Debug mode (#136 <https://github.com/ros2/rosidl_python/issues/136>)
  * Add missing float/double bounds check (#128 <https://github.com/ros2/rosidl_python/issues/128>)
  * Contributors: Michel Hidalgo, Seulbae Kim, Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 15 Jul 2021 16:00:00 -0000

ros-iron-rosidl-generator-py (0.12.0-2jammy) jammy; urgency=high

  * Added optimization for copying arrays using buffer protocol (#129 <https://github.com/ros2/rosidl_python/issues/129>)
  * Add smoke test for CLI extension (#132 <https://github.com/ros2/rosidl_python/issues/132>)
  * Install generated Python interfaces in a Python package (#131 <https://github.com/ros2/rosidl_python/issues/131>)
  * Contributors: Michel Hidalgo, ksuszka

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 10 Jun 2021 16:00:00 -0000

ros-iron-rosidl-generator-py (0.11.0-2jammy) jammy; urgency=high

  * Remove dependency from rosidl_typesupport_connext_c (#127 <https://github.com/ros2/rosidl_python/issues/127>)
  * Contributors: Andrea Sorbini

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-iron-rosidl-generator-py (0.10.0-2jammy) jammy; urgency=high

  * Expose Python code generation via rosidl generate CLI (#123 <https://github.com/ros2/rosidl_python/issues/123>)
  * remove maintainer (#126 <https://github.com/ros2/rosidl_python/issues/126>)
  * Contributors: Claire Wang, Michel Hidalgo

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 18 Mar 2021 16:00:00 -0000

ros-iron-rosidl-generator-py (0.9.4-2jammy) jammy; urgency=high

  * Update maintainers (#119 <https://github.com/ros2/rosidl_python/issues/119>)
  * Fix too early decref of WString when converting from Python to C (#117 <https://github.com/ros2/rosidl_python/issues/117>)
  * Add pytest.ini so tests succeed locally. (#116 <https://github.com/ros2/rosidl_python/issues/116>)
  * Contributors: Chris Lalancette, Claire Wang, Dirk Thomas

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-rosidl-generator-py (0.9.3-2jammy) jammy; urgency=high

  * Add test_depend on rpyutils (#115 <https://github.com/ros2/rosidl_python/issues/115>)

